Open CASCADE, the 3D modelling kernel
3D modeling & numerical simulation

Search the Forums
See All Topics
Open CASCADEShowroomGet it!Developer CornerSupport and ProductsAbout us
Technical overview
Areas of use
Advantages
FAQ
Screenshots
Shape factory
Shape gallery
Demonstrations
What's new
System requirements
Download Center
Public license
Documentation
Getting started
Forums
Open Source community
Training and e-learning
A-la Carte Support
Value-added software
Complementary Components
Customer Corner
Company Profile
Marketing Materials
Contact Us
News
Home / Developer Corner / Forums / Usage issues / Comparing curver

Comparing curver

Comparing curver
Lukasz Balewski 2013/03/28 03:47
Hello,
I am trying to implement a method of comparing two edges. My approach is to check parameters of underlying geometric curves (gp_Lin, gp_Circ etc.) to see if the edges lie on the same curve and then check first and last parameters of the two curves to see if they overlap. The problem I am having is: even though a pair of edges are identical (in 3D space), once I acquire Geom_Curve, by calling BRep_Tool::Curve(), first and last parameters of the curves are different.
For example, having two lines, connecting two points (0,2,2) and (0,4,2), sometimes first and last parameters of the underlying curves are as follow: 2.0 - 4.0 and 0.0 - 2.0 respectively. I would like to ask you guys to help me understand what I am missing.

Best regards.
Mauro Mariotti 2013/03/28 12:25
Maybe the lines have a different origin, I mean an origin is shifted along the line with respect to the other one.

Bye.
Mauro
Lukasz Balewski 2013/03/28 16:59
Well, the problem I described arises when I have two edges from two different faces. One of the face belongs to a solid, while the other does not. I suspect that the problem is related to location of the edge/face but I don't know how to solve it.
I can see however that if I try to get UV points of the curves by calling
BRep_Tool::UVPoints(const TopoDS_Edge& E, const TopoDS_Face& F, gp_Pnt2d& PFirst, gp_Pnt2d& PLast)
I can get the same results for both edges if I put the same face (i.e. one the faces) as the F parameters for both edges.

Best regards.
 
 
Latest news
  • Open CASCADE Technology 6.7.0 is available for download!
  • Open CASCADE Technology 6.6.0 is available for download!
  • Open CASCADE Technology 6.5.5 is available for download!

  • © OPEN CASCADE 2000 - 2014  |  Search  |  Contacts   |  Site map